<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>ISColoringCreate</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="ISColoringCreate"><H1>ISColoringCreate</H1></A>
Generates an <A HREF="../IS/ISColoring.html#ISColoring">ISColoring</A> context from lists (provided  by each processor) of colors for each node. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscsys.h" 
#include "petscis.h"  
PetscErrorCode PETSCVEC_DLLEXPORT ISColoringCreate(MPI_Comm comm,PetscInt ncolors,PetscInt n,const ISColoringValue colors[],ISColoring *iscoloring)
</PRE>
Collective on <A HREF="../Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B><A HREF="../Sys/comm.html#comm">comm</A> </B></TD><TD>- communicator for the processors creating the coloring
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>ncolors </B></TD><TD>- max color value
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>n </B></TD><TD>- number of nodes on this processor
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>colors </B></TD><TD>- array containing the colors for this processor, color
numbers begin at 0. In C/C++ this array must have been obtained with <A HREF="../Sys/PetscMalloc.html#PetscMalloc">PetscMalloc</A>()
and should NOT be freed (The <A HREF="../IS/ISColoringDestroy.html#ISColoringDestroy">ISColoringDestroy</A>() will free it).
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>iscoloring </B> -the resulting coloring data structure
<br>
<P>
<H3><FONT COLOR="#CC3333">Options Database Key</FONT></H3>
<DT><B>-is_coloring_view </B> -Activates <A HREF="../IS/ISColoringView.html#ISColoringView">ISColoringView</A>()
<br>
<P>

<P>
Notes: By default sets coloring type to  IS_COLORING_LOCAL
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 MatColoringCreate(), <A HREF="../IS/ISColoringView.html#ISColoringView">ISColoringView</A>(), <A HREF="../IS/ISColoringDestroy.html#ISColoringDestroy">ISColoringDestroy</A>(), ISColoringSetType()
<BR>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/is/utils/iscoloring.c.html#ISColoringCreate">src/vec/is/utils/iscoloring.c</A>
<BR><A HREF="./index.html">Index of all IS routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/snes/examples/tutorials/ex5s.c.html">src/snes/examples/tutorials/ex5s.c.html</A><BR>
</BODY></HTML>
